Skip to main content

Divio Cloud API - Legacy Resources (v3 (v3))

Download OpenAPI specification:Download

addon-release-channels

ListAddonReleaseChannels

List addon release channels

Authorizations:
Token
query Parameters
addon
string <uuid>
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Responses

Response samples

Content type
application/json
{}

GetAddonReleaseChannel

Get the details of a single addon release channel

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "addon": "ce86a799-8c08-4298-8e0b-8c548493890f",
  • "name": "string",
  • "slug": "string",
  • "description": "string",
  • "stability_level": -2147483648
}

addon-versions

ListAddonVersions

List addon versions

Authorizations:
Token
query Parameters
addon
string <uuid>
o
Array of strings
Items Enum: "-version" "version"

Ordering

  • version - Version
  • -version - Version (descending)
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

release_channel
Array of strings <uuid> [ items <uuid > ]
uuid
Array of strings <uuid> [ items <uuid > ]
version
string

Responses

Response samples

Content type
application/json
{
  • "count": 123,
  • "results": [
    ]
}

GetAddonVersion

Get the details of a single addon version

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "addon": "ce86a799-8c08-4298-8e0b-8c548493890f",
  • "version": "0.0.0",
  • "timestamp_added": "2019-08-24T14:15:22Z",
  • "uploaded_by": "string",
  • "installation_count": 0,
  • "production_installation_count": 0,
  • "release_channels": [
    ],
  • "annotations": [
    ],
  • "download_url": "http://example.com",
  • "changelog": "string"
}

UpdateAddonVersion

Replace the specified addon version

Authorizations:
Token
path Parameters
uuid
required
string <uuid>
Request Body schema:
changelog
string
release_channels
Array of strings <uuid> [ items <uuid > ]

Responses

Request samples

Content type
{
  • "changelog": "string",
  • "release_channels": [
    ]
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "version": "string",
  • "changelog": "string",
  • "release_channels": [
    ]
}

PartialUpdateAddonVersion

Partially update the specified addon version

Authorizations:
Token
path Parameters
uuid
required
string <uuid>
Request Body schema:
changelog
string
release_channels
Array of strings <uuid> [ items <uuid > ]

Responses

Request samples

Content type
{
  • "changelog": "string",
  • "release_channels": [
    ]
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "version": "string",
  • "changelog": "string",
  • "release_channels": [
    ]
}

addons

ListAddons

List addons

Authorizations:
Token
query Parameters
cloud_ready
boolean
is_public
boolean
name
string
organisation
string <uuid>
package_name
string
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Responses

Response samples

Content type
application/json
{
  • "count": 123,
  • "results": [
    ]
}

CreateAddon

Create a new addon object

Authorizations:
Token
Request Body schema:
required
name
required
string <= 100 characters

Name of the Addon.

package_name
required
string <= 100 characters ^[-a-zA-Z0-9_]+$

System wide unique package name used to reference from the commandline.

license
string or null <uuid>
organisation
required
string <uuid>

Responses

Request samples

Content type
{
  • "name": "string",
  • "package_name": "string",
  • "license": "0062b866-9a29-4aaa-bcb3-34c1f3d5760d",
  • "organisation": "a4b97354-4e56-4723-bc0e-1f22b5fcbed6"
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "name": "string",
  • "package_name": "string",
  • "license": "0062b866-9a29-4aaa-bcb3-34c1f3d5760d",
  • "organisation": "a4b97354-4e56-4723-bc0e-1f22b5fcbed6"
}

GetAddon

Get the details of a single addon

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "organisation": "a4b97354-4e56-4723-bc0e-1f22b5fcbed6",
  • "name": "string",
  • "owner_name": "string",
  • "package_name": "string",
  • "is_public": true,
  • "is_system_addon": true,
  • "latest_version": {
    },
  • "owner_display_name": "string",
  • "release_channels": [
    ],
  • "license": "0062b866-9a29-4aaa-bcb3-34c1f3d5760d",
  • "default_release_channel": {
    },
  • "most_stable_release_channel": {
    },
  • "repository_url": "http://example.com",
  • "project_url": "http://example.com",
  • "pypi_url": "http://example.com",
  • "docs_url": "http://example.com",
  • "timestamp_added": "2019-08-24T14:15:22Z",
  • "description": "string",
  • "cloud_ready": true,
  • "enable_custom_release_channels": true
}

UpdateAddon

Replace the specified addon

Authorizations:
Token
path Parameters
uuid
required
string <uuid>
Request Body schema:
required
owner_display_name
string (Override Author) <= 255 characters

You can override the author that will be listed. If you leave it empty, we will show your or your organisation's name.

description
string
license
string <uuid>
repository_url
string <uri> <= 200 characters

Link to the Addon source (e.g on github or bitbucket)

project_url
string <uri> <= 200 characters

Link to a project page (don't repeat the repository url here)

pypi_url
string <uri> <= 200 characters

Link to your package on the Python Package Index PyPi

docs_url
string <uri> (Documentation URL) <= 200 characters

Link to Documentation (e.g on readthedocs.org)

name
required
string <= 100 characters

Name of the Addon.

package_name
required
string <= 100 characters ^[-a-zA-Z0-9_]+$

System wide unique package name used to reference from the commandline.

default_release_channel
string <uuid>

Responses

Request samples

Content type
{}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "owner_display_name": "string",
  • "description": "string",
  • "license": "0062b866-9a29-4aaa-bcb3-34c1f3d5760d",
  • "repository_url": "http://example.com",
  • "project_url": "http://example.com",
  • "pypi_url": "http://example.com",
  • "docs_url": "http://example.com",
  • "name": "string",
  • "package_name": "string",
  • "default_release_channel": "58b578da-0974-4f94-8b40-15bd63f2cee9"
}

PartialUpdateAddon

Partially update the specified addon

Authorizations:
Token
path Parameters
uuid
required
string <uuid>
Request Body schema:
owner_display_name
string (Override Author) <= 255 characters

You can override the author that will be listed. If you leave it empty, we will show your or your organisation's name.

description
string
license
string <uuid>
repository_url
string <uri> <= 200 characters

Link to the Addon source (e.g on github or bitbucket)

project_url
string <uri> <= 200 characters

Link to a project page (don't repeat the repository url here)

pypi_url
string <uri> <= 200 characters

Link to your package on the Python Package Index PyPi

docs_url
string <uri> (Documentation URL) <= 200 characters

Link to Documentation (e.g on readthedocs.org)

name
string <= 100 characters

Name of the Addon.

package_name
string <= 100 characters ^[-a-zA-Z0-9_]+$

System wide unique package name used to reference from the commandline.

default_release_channel
string <uuid>

Responses

Request samples

Content type
{}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "owner_display_name": "string",
  • "description": "string",
  • "license": "0062b866-9a29-4aaa-bcb3-34c1f3d5760d",
  • "repository_url": "http://example.com",
  • "project_url": "http://example.com",
  • "pypi_url": "http://example.com",
  • "docs_url": "http://example.com",
  • "name": "string",
  • "package_name": "string",
  • "default_release_channel": "58b578da-0974-4f94-8b40-15bd63f2cee9"
}

DownloadAddonIncludes

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

PublishAddon

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

TransferAddon

Authorizations:
Token
path Parameters
uuid
required
string <uuid>
Request Body schema:
required
organisation
required
string <uuid>

Responses

Request samples

Content type
{
  • "organisation": "a4b97354-4e56-4723-bc0e-1f22b5fcbed6"
}

Response samples

Content type
application/json
{
  • "organisation": "a4b97354-4e56-4723-bc0e-1f22b5fcbed6"
}

applications

ListApplications

List applications

Authorizations:
Token
query Parameters
id
integer
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Responses

Response samples

Content type
application/json
{
  • "count": 123,
  • "results": [
    ]
}

GetApplication

Get the details of a single application

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "organisation": "a4b97354-4e56-4723-bc0e-1f22b5fcbed6",
  • "base_project_version": "c613b8ec-8da4-41a5-8433-abacff8b415f",
  • "base_project_release_channel": "ac0b8528-2d66-48cb-9e85-55deb6873c22",
  • "addons_feature_available": true,
  • "addons_update_count": 0,
  • "addons_bug_count": 0,
  • "addons_not_configured_count": 0
}

GetAddonForm

Authorizations:
Token
path Parameters
uuid
required
string <uuid>
Request Body schema:
required
version
required
string <uuid>

Responses

Request samples

Content type
{
  • "version": "8b898373-21c7-4028-b85f-cc5068e68df9"
}

ConfigureAddonInApplication

Authorizations:
Token
path Parameters
uuid
required
string <uuid>
Request Body schema:
required
object
addon
required
string <uuid>

Responses

Request samples

Content type
{
  • "form_data": {
    },
  • "addon": "ce86a799-8c08-4298-8e0b-8c548493890f"
}

InstallAddonInApplication

Authorizations:
Token
path Parameters
uuid
required
string <uuid>
Request Body schema:
required
release_channel
required
string <uuid>
version
required
string <uuid>
object
without_config
boolean

Responses

Request samples

Content type
{
  • "release_channel": "526faf99-721b-4439-9e5b-1dae4bcad311",
  • "version": "8b898373-21c7-4028-b85f-cc5068e68df9",
  • "form_data": {
    },
  • "without_config": true
}

UninstallAddonFromApplication

Authorizations:
Token
path Parameters
uuid
required
string <uuid>
Request Body schema:
required
addon
required
string <uuid>

Responses

Request samples

Content type
{
  • "addon": "ce86a799-8c08-4298-8e0b-8c548493890f"
}

GetApplicationAnnotations

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

Response samples

Content type
application/json
{}

GetApplicationRecentAsynchronousTasks

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "running": [
    ],
  • "recently_finished": [
    ]
}

base-project-release-channels

ListBaseProjectReleaseChannels

List base project release channels

Authorizations:
Token
query Parameters
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Responses

Response samples

Content type
application/json
{}

GetBaseProjectReleaseChannel

Get the details of a single base project release channel

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "name": "string",
  • "slug": "string",
  • "baseproject": "3464a42f-dba4-4595-8940-8ce5c04d9262",
  • "description": "string",
  • "order": -2147483648
}

base-project-versions

ListBaseProjectVersions

List base project versions

Authorizations:
Token
query Parameters
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Responses

Response samples

Content type
application/json
{}

GetBaseProjectVersion

Get the details of a single base project version

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "baseproject": "3464a42f-dba4-4595-8940-8ce5c04d9262",
  • "active": true,
  • "description": "string",
  • "changelog_url": "http://example.com",
  • "version": "string"
}

base-projects

ListBaseProjects

List base projects

Authorizations:
Token
query Parameters
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Responses

Response samples

Content type
application/json
{}

GetBaseProject

Get the details of a single base project

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "name": "string",
  • "short_name": "string",
  • "short_description_html": "string",
  • "order": -2147483648,
  • "identifier": "string",
  • "is_public": true
}

environments

ListEnvironments

List environments

Authorizations:
Token
query Parameters
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Responses

Response samples

Content type
application/json
{}

GetEnvironment

Get the details of a single environment

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this legacy environment.

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "application": "2b22d485-f04e-492b-b364-e14f8506726a",
  • "sharing_url": "http://example.com"
}

GetEnvironmentCommits

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this legacy environment.

query Parameters
lookup
required
string non-empty

The lookup is a git revision range in the format of https://git-scm.com/docs/gitrevisions#_specifying_ranges.

Responses

Response samples

Content type
application/json
{}

installed-addons

ListInstalledAddons

List installed addons

Authorizations:
Token
query Parameters
addon
string <uuid>
application
string <uuid>
has_updates
boolean
is_configured
boolean
name
string
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

version
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "count": 123,
  • "results": [
    ]
}

GetInstalledAddon

Get the details of a single installed addon

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "application": "2b22d485-f04e-492b-b364-e14f8506726a",
  • "version": {
    },
  • "addon": {
    },
  • "update_exists": true,
  • "not_configured": true,
  • "release_channel": {
    },
  • "config": null
}

UpdateInstalledAddon

Replace the specified installed addon

Authorizations:
Token
path Parameters
uuid
required
string <uuid>
Request Body schema:
required
release_channel
required
string <uuid>
version
required
string <uuid>

Responses

Request samples

Content type
{
  • "release_channel": "526faf99-721b-4439-9e5b-1dae4bcad311",
  • "version": "8b898373-21c7-4028-b85f-cc5068e68df9"
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "release_channel": "526faf99-721b-4439-9e5b-1dae4bcad311",
  • "version": "8b898373-21c7-4028-b85f-cc5068e68df9"
}

PartialUpdateInstalledAddon

Partially update the specified installed addon

Authorizations:
Token
path Parameters
uuid
required
string <uuid>
Request Body schema:
release_channel
string <uuid>
version
string <uuid>

Responses

Request samples

Content type
{
  • "release_channel": "526faf99-721b-4439-9e5b-1dae4bcad311",
  • "version": "8b898373-21c7-4028-b85f-cc5068e68df9"
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "release_channel": "526faf99-721b-4439-9e5b-1dae4bcad311",
  • "version": "8b898373-21c7-4028-b85f-cc5068e68df9"
}

organisations

ListOrganisations

List organisations

Authorizations:
Token
query Parameters
id
integer
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Responses

Response samples

Content type
application/json
{}

GetOrganisation

Get the details of a single organisation

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "name": "string"
}

schema

schema_retrieve

OpenApi3 schema for this API. Format can be selected via content negotiation.

  • YAML: application/vnd.oai.openapi
  • JSON: application/vnd.oai.openapi+json
Authorizations:
TokenNone
query Parameters
format
string
Enum: "json" "yaml"
lang
string
Enum: "af" "ar" "ar-dz" "ast" "az" "be" "bg" "bn" "br" "bs" "ca" "ckb" "cs" "cy" "da" "de" "dsb" "el" "en" "en-au" "en-gb" "eo" "es" "es-ar" "es-co" "es-mx" "es-ni" "es-ve" "et" "eu" "fa" "fi" "fr" "fy" "ga" "gd" "gl" "he" "hi" "hr" "hsb" "hu" "hy" "ia" "id" "ig" "io" "is" "it" "ja" "ka" "kab" "kk" "km" "kn" "ko" "ky" "lb" "lt" "lv" "mk" "ml" "mn" "mr" "ms" "my" "nb" "ne" "nl" "nn" "os" "pa" "pl" "pt" "pt-br" "ro" "ru" "sk" "sl" "sq" "sr" "sr-latn" "sv" "sw" "ta" "te" "tg" "th" "tk" "tr" "tt" "udm" "ug" "uk" "ur" "uz" "vi" "zh-hans" "zh-hant"

Responses

Response samples

Content type
No sample